Certbot SSL Fails with CharDet Error and Repo Errors

I am trying to renew my Certbot certificate, and am getting several errors. I already updated to the latest version of cyberpanel and this has not resolved my issue.

When running a certificate renewal command I get the following error:
Traceback (most recent call last):
File “/usr/bin/certbot”, line 9, in
load_entry_point(‘certbot==1.3.0’, ‘console_scripts’, ‘certbot’)()
File “/usr/lib/python2.7/site-packages/pkg_resources/init.py”, line 487, i n load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File “/usr/lib/python2.7/site-packages/pkg_resources/init.py”, line 2728, in load_entry_point
return ep.load()
File “/usr/lib/python2.7/site-packages/pkg_resources/init.py”, line 2346, in load
return self.resolve()
File “/usr/lib/python2.7/site-packages/pkg_resources/init.py”, line 2352, in resolve
module = import(self.module_name, fromlist=[‘name’], level=0)
File “/usr/lib/python2.7/site-packages/certbot/main.py”, line 2, in
from certbot._internal import main as internal_main
File “/usr/lib/python2.7/site-packages/certbot/_internal/main.py”, line 16, in
from certbot import crypto_util
File “/usr/lib/python2.7/site-packages/certbot/crypto_util.py”, line 29, in
from certbot import util
File “/usr/lib/python2.7/site-packages/certbot/util.py”, line 23, in
from certbot._internal import constants
File “/usr/lib/python2.7/site-packages/certbot/_internal/constants.py”, line 6 , in
from acme import challenges
File “/usr/lib/python2.7/site-packages/acme/challenges.py”, line 9, in
import requests
File “/usr/lib/python2.7/site-packages/requests/init.py”, line 58, in
from . import utils
File “/usr/lib/python2.7/site-packages/requests/utils.py”, line 26, in
from .compat import parse_http_list as _parse_list_header
File “/usr/lib/python2.7/site-packages/requests/compat.py”, line 7, in
import chardet

ImportError: No module named chardet

I then attempted to run a re-install of CertBot to see if that would resolve the issue, and after I confirm the packages to install, I get the following error:

Downloading packages:
.warning: /var/cache/yum/x86_64/7/CyberPanel/packages/httpd24u-2.4.41-1.el7.ius.x86_64.rpm: Header V4 RSA/SHA256 Signature , key ID 4b274df2: NOKEY
Retrieving key from https://rep.cyberpanel.net/RPM-GPG-KEY-cyberpanel

The GPG keys listed for the “CyberPanel” repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.

Failing package is: httpd24u-2.4.41-1.el7.ius.x86_64
GPG Keys are configured as: https://rep.cyberpanel.net/RPM-GPG-KEY-cyberpanel

Please let me know what steps I can take to try and resolve this error.

Thanks